vuser_init()
{	

 // La documentation MySQL 8.0 C API est disponible :
 // http://dev.mysql.com/doc/refman/8.0/en/c-api-functions.html
	  
  lr_load_dll("libmysql-6.1.9.0.dll");
    
  lr_start_transaction("001_Init_Cnx");
  
  //initialise la connexion mySQL
  mySQL = mysql_init(NULL);
  if (mySQL == NULL) {
    lr_error_message("Mmoire Insuffisante");
    lr_abort();
  }
 
 // Connect to the database
 if (!mysql_real_connect(mySQL,MySQLServer, MySQLuser, MySQLpassword, MySQLdatabase, MySQLport,NULL,0)) {
    lr_error_message("%s", mysql_error(mySQL));
    mysql_close(mySQL);
    lr_abort();
  } 
 
 //save SQL statement into variable into sqlQuery
 //This stamentement returns result that matches UserName = {Vuser} parameter
 lr_param_sprintf("sqlQuery", "SELECT %s FROM LRData", MySQLChamps);
 
 //Execute SQL statement
 MyRC = mysql_query(mySQL, lr_eval_string ("{sqlQuery}"));
  if (MyRC != 0) {
    lr_error_message("%s", mysql_error(mySQL));
    mysql_close(mySQL);
    lr_abort();
  } 
 
 //result of the sql statement is placed into MYSQL_RES result structure
 result = mysql_use_result(mySQL);
 if (result == NULL) {
    lr_error_message("%s", mysql_error(mySQL));
    mysql_free_result(result);
    mysql_close(mySQL);
    lr_abort();
  }
 
	lr_end_transaction("001_Init_Cnx", LR_AUTO);
	return 0;
}
